<script>
export default {
  data() {
    return {
      name: [
        {
          firstName: "Kissada",
          lastName: "Tumporn",
          nickName: "Benz",
          position: "Front-End",
          urlimage:
            "https://pakmud.com/wp-content/uploads/2022/11/%E0%B8%A3%E0%B8%B9%E0%B8%9B%E0%B8%A0%E0%B8%B2%E0%B8%9E%E0%B8%AD%E0%B8%99%E0%B8%B4%E0%B9%80%E0%B8%A1%E0%B8%B0-%E0%B9%80%E0%B8%97%E0%B9%88%E0%B9%86-%E0%B8%9C%E0%B8%B9%E0%B9%89%E0%B8%8A%E0%B8%B2%E0%B8%A2-31.jpg",
          urlpage: "/kissada/kissada",
        },
        {
          firstName: "Pipad",
          lastName: "Tongdonngao",
          nickName: "Juy",
          position: "Front-End",
          urlimage:
            "https://i.pinimg.com/550x/07/c6/24/07c624a5cd21386f28ae91e46e448fed.jpg",
          urlpage: "/pipad/resume",
        },
        {
          firstName: "Khanjana",
          lastName: "Namuen",
          nickName: "Nueng",
          position: "Front-End",
          urlimage:
            "https://play-lh.googleusercontent.com/4t7_uRj7B2YwIWBSMDsvET1X0v1w5-Z06NDhDQ2Cd_Vv-VOAw0ZcC_d5xHqFhf1Y2g=w800-h500",
          urlpage: "/Khanjana/Khanjana",
        },
        {
          firstName: "Sirisak",
          lastName: "buddee",
          nickName: "Ball",
          position: "Front-End",
          urlimage:
            "https://f.ptcdn.info/884/069/000/qc9yjq9eothYfNeBcmBC-o.jpg",
          urlpage: "/sirisak/cv",
        },
      ],
    };
  },
};
</script>
<template>
  <v-container>
    <v-row>
      <!-- มีการลูปดึงข้อมูลจาก name มาแสดง -->
      <v-col
        v-for="item in name"
        :key="item.firstName"
        cols="12"
        md="12"
        lg="6"
      >
        <NuxtLink :to="item.urlpage">
          <v-card style="box-shadow: 4px 4px #64CCC5; margin-bottom: 15px; " >
            <!-- ดึงข้อมูลแสดงรูปภาพ -->
            <v-img :src="item.urlimage" height="400px"></v-img>
            <v-card-title>
              {{ item.firstName }} {{ item.lastName }}
            </v-card-title>
            <v-card-subtitle style="font-size: 17px">
              {{ item.nickName }}
            </v-card-subtitle>
            <v-card-subtitle>
              {{ item.position }}
            </v-card-subtitle>
          </v-card>
        </NuxtLink>
      </v-col>
    </v-row>
  </v-container>
</template>
<style scoped>
  a {
    text-decoration: none;
    color: inherit;
  }
</style>